## org.freedesktop.UDisks2.Manager.ZRAM org.freedesktop.UDisks2.Manager.ZRAM — ZRAM add-on to the manager singleton |

## Methods

    CreateDevices  (IN  at    sizes,
                    IN  at    num_streams,
                    IN  a{sv} options,
                    OUT ao    zrams);
    DestroyDevices (IN  a{sv} options);

## Description

Additional interface with ZRAM specifics for top-level manager singleton object located at the object path `/org/freedesktop/UDisks2/Manager`.

Since 2.3.0

## Method Details

### The CreateDevices() method

    CreateDevices (IN  at    sizes,
                   IN  at    num_streams,
                   IN  a{sv} options,
                   OUT ao    zrams);

Creates num_devices zram devices.

No additional options are currently defined.

Changed in version 2.7.0.

`IN at `sizes``: | Requested sizes (in bytes) for created zRAM devices.
`IN at `num_streams``: | Number of streams for created zRAM devices.
`IN a{sv} `options``: | Additional options.
`OUT ao `zrams``: | object paths of the new ZRAM devices

Since 2.3.0

### The DestroyDevices() method

    DestroyDevices (IN  a{sv} options);

Destroys all zram devices.

No additional options are currently defined.

`IN a{sv} `options``: | Additional options.

Since 2.3.0